Package pyplusplus :: Package decl_wrappers :: Module scopedef_wrapper :: Class scopedef_t

# type scopedef_t

source code

                     object --+
                              |
    decl_wrapper.decl_wrapper_t --+
                                  |
                                 scopedef_t

Known Subclasses:
  - class_wrapper.class_t
  - , namespace_wrapper.namespace_t

base class for decl_wrappers.class_t and decl_wrappers.namespace_t classes

It provides convinience functionality: include\exclude all internal declarations (not) to be exported.

Instance Methods

__init__(self) | source code

exclude(self, compilation_errors=False) exclude "self" and child declarations from being exposed. | source code

include(self, already_exposed=False) Include "self" and child declarations to be exposed. | source code

Inherited from `decl_wrapper.decl_wrapper_t`: `disable_messages`, `disable_warnings`, `get_already_exposed`, `get_exportable`, `readme`, `rename`, `set_already_exposed`, `set_exportable`, `why_not_exportable`

Class Variables
Inherited from `decl_wrapper.decl_wrapper_t`: `SPECIAL_TYPEDEF_PICK_ANY`

Properties
Inherited from `decl_wrapper.decl_wrapper_t`: `alias`, `already_exposed`, `disabled_messages`, `documentation`, `exportable`, `ignore`, `include_files`, `logger`

Method Details

### __init__(self)
(Constructor)

source code

Overrides: decl_wrapper.decl_wrapper_t.__init__

### exclude(self, compilation_errors=False)

source code

exclude "self" and child declarations from being exposed.

If compile_time_errors is True, than only declarations, which will cause compilation error will be excluded

Overrides: decl_wrapper.decl_wrapper_t.exclude

### include(self, already_exposed=False)

source code

Include "self" and child declarations to be exposed.

Overrides: decl_wrapper.decl_wrapper_t.include